
// MatrixGridDoc.h : interface of the CMatrixGridDoc class
//
#include "Cell.h"

#pragma once


class CMatrixGridDoc : public CDocument
{
protected: // create from serialization only
	CMatrixGridDoc();
	DECLARE_DYNCREATE(CMatrixGridDoc)

// Attributes
public:
	CEdit* m_edit;
	COLORREF m_cColor;
	CCell m_arrCellArray[500][500];
	int m_iYoffset;
	int m_iXoffset;
	int m_iWidth;
	int m_iHeight;
	int m_iColoums;
	int m_iRow;

// Operations
public:

// Overrides
public:
	virtual BOOL OnNewDocument();
	virtual void Serialize(CArchive& ar);
#ifdef SHARED_HANDLERS
	virtual void InitializeSearchContent();
	virtual void OnDrawThumbnail(CDC& dc, LPRECT lprcBounds);
#endif // SHARED_HANDLERS

// Implementation
public:
	virtual ~CMatrixGridDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()

#ifdef SHARED_HANDLERS
	// Helper function that sets search content for a Search Handler
	void SetSearchContent(const CString& value);
#endif // SHARED_HANDLERS
};
